SystemOrganization addCategory: #'Seaside-Tests-Cache-NG'!

TestCase subclass: #WACacheNGTest
	instanceVariableNames: 'cache'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Cache-NG'!

!WACacheNGTest methodsFor: 'running' stamp: 'pmm 9/10/2013 12:13'!
setUp
	cache := WAHashCacheNG
		initialSize: 13
		maximumSize: 0
		maximumAbsoluteAge: 0
		maximumRelativeAge: 0
		overflowAction: WAHashCacheNG signalError! !

!WACacheNGTest methodsFor: 'testing' stamp: 'pmm 9/10/2013 12:35'!
testBasicProtocol
	1 to: 100 do: [ :i |
		| absent mapped |
		absent := false.
		cache at: i ifAbsent: [ absent := true ].
		self assert: absent.
		mapped := cache at: i put: i greaseString.
		self assert: mapped = i greaseString.
		mapped := cache at: i ifAbsent: [ self fail ].
		self assert: mapped = i greaseString ]! !

Object subclass: #WACacheNGPerformanceTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Cache-NG'!

!WACacheNGPerformanceTest methodsFor: 'testing' stamp: 'pmm 9/10/2013 12:12'!
testObjectStorage
	WACache new! !
